[package]
name = "obilayeredmap"
version = "0.1.0"
edition = "2024"

[dependencies]
obikseq        = { path = "../obikseq" }
obiskio        = { path = "../obiskio" }
obicompactvec  = { path = "../obicompactvec" }
ptr_hash     = "1.1"
cacheline-ef = "1.1"
epserde      = "0.8"
rayon        = "1"
ndarray      = "0.16"
bitvec       = "1"
memmap2      = "0.9"
serde        = { version = "1", features = ["derive"] }
serde_json   = "1"

[dev-dependencies]
tempfile = "3"
obikseq = { path = "../obikseq", features = ["test-utils"] }
